<?php
/*
Plugin Name: Category header content
Plugin URI: http://www.heinzcooler.de/category-header-content/
Description: Shows HTML at your category pages. After activating please insert <code>&lt;?= get_chc() ?&gt;</code> in your category template or if you doesnt have one in your archive template. For HTML at your tag pages insert <code>&lt;?= get_thc() ?&gt;</code>
Version: 1.03
Author: heinzcooler
Author URI: http://www.heinzcooler.de/
Update Server: http://wordpress.org/extend/plugins/category-content-header/
Min WP Version: 2.8
Max WP Version: 2.8
*/


//	Optionsmenue für Category
function chc_pl_option_page() {
	foreach(get_categories() as $chc_cat) {
		if('insert'.$chc_cat->term_id == $_POST['action_chc']) {
			update_option("chc_".$chc_cat->term_id, stripslashes($_POST["chc_".$chc_cat->term_id]));
		}
	}
	?>
	<div class="wrap">
	  <h2>Category Header Content plugin options</h2>
	  <p>You could insert an introducing text for every category.</p>
	  <h3>Installation</h3>
		<p>First you have to insert <code>&lt;?= get_chc() ?&gt;</code> in your category template, to find at category.php in your
		template directory. If there is no category.php (like in Kubrick) look out for archive.php and column 
		<code>&lt;?php /* If this is a category archive */ if (is_category()) { ?&gt;
		&lt;h2 class="pagetitle"&gt;&lt;?php printf(__('Archive for the &#8216;%s&#8217; Category', 'kubrick'), single_cat_title('', false)); ?&gt;&lt;/h2&gt;
		</code> and insert <code>&lt;?= get_chc() ?&gt;</code> directly after this, or wherever you want.</p>
	  <h3>Content</h3>
	  	<form name="form" method="post" action="<?= $location ?>">
	  		<select name="chc_category" onchange="showSelected(this.form);">
	  	<?php
	  	$first = true;
		foreach(get_categories() as $chc_cat) {
			if($first) {$first = "selected=selected";}
			?>
			<option value="<?=$chc_cat->term_id; ?>" <?= $first ?>><?=$chc_cat->name; ?></option>  	
			<?php $first = ""; } ?>
		</select>
		<?php
		$tas = array();
		$first = true;
		foreach(get_categories() as $chc_cat) {
			if($first) {$vis = "display:block;";} else {$vis = "display:none;";}
			$tas[] = $chc_cat->term_id;
		?>
		<textarea cols="80" rows="20" name="chc_<?=$chc_cat->term_id; ?>" cols="30" rows="6" style="<?= $vis; ?>"><?= get_option("chc_".$chc_cat->term_id);?></textarea>
	
		<?php $first = false;} ?>
	  	<p class="submit"><input type="submit" value="Speichern" /></p>
	  	<input type="hidden" name="action_chc" value="insert<?=$tas[0];?>" />
	  </form>
	  <script language="JavaScript" type="text/javascript">
  		function showSelected(me){
  			<?php 
			$hlp = 0;
			foreach ($tas as $ta) {
				print "me.chc_$ta.style.display=\"none\";\n";
				print "if (me.chc_category.selectedIndex == $hlp){ me.chc_$ta.style.display=\"block\"; me.action_chc.value=\"insert$ta\"}\n";
				$hlp++;
			}
			?>
			
		}
	  </script>
	</div><?php
}
//	Optionsmenue für Tags
function thc_pl_option_page() {
	foreach(get_tags() as $tags) {
		if('insert'.$tags->term_id == $_POST['action_thc']) {
			update_option("thc_".$tags->term_id, stripslashes ($_POST["thc_".$tags->term_id]));
		}
	}
	?>
	<div class="wrap">
	  <h2>Tag Header Content plugin options</h2>
	  <p>You could insert an introducing text for every tag.</p>
	  <h3>Installation</h3>
		<p>First you have to insert <code>&lt;?= get_thc() ?&gt;</code> in your tag template, to find at arcihv.php in your
		template directory. Column ???
		Insert <code>&lt;?= get_thc() ?&gt;</code> directly after this, or wherever you want.</p>
	  <h3>Content</h3>
	  	<form name="form" method="post" action="<?= $location ?>">
	  		<select name="thc_tag" onchange="showSelected(this.form);">
	  	<?php
	  	$first = true;
		foreach(get_tags() as $tag) {
			if($first) {$first = "selected=selected";}
			?>
			<option value="<?= $tag->term_id; ?>" <?= $first ?>><?=$tag->name; ?></option>  	
			<?php $first = ""; } ?>
		</select>
		<?php
		$tas = array();
		$first = true;
		foreach(get_tags() as $tag) {
			if($first) {$vis = "display:block;";} else {$vis = "display:none;";}
			$tas[] = $tag->term_id;
		?>
		<textarea cols="80" rows="20" name="thc_<?=$tag->term_id; ?>" cols="30" rows="6" style="<?= $vis; ?>"><?= get_option("thc_".$tag->term_id);?></textarea>
	
		<?php $first = false;} ?>
	  	<p class="submit"><input type="submit" value="Speichern" /></p>
	  	<input type="hidden" name="action_thc" value="insert<?=$tas[0];?>" />
	  </form>
	  <script language="JavaScript" type="text/javascript">
  		function showSelected(me){
  			<?php 
			$hlp = 0;
			foreach ($tas as $ta) {
				print "me.thc_$ta.style.display=\"none\";\n";
				print "if (me.thc_tag.selectedIndex == $hlp){ me.thc_$ta.style.display=\"block\"; me.action_thc.value=\"insert$ta\"}\n";
				$hlp++;
			}
			?>
			
		}
	  </script>
	</div><?php
}


// Adminmenu Optionen erweitern
function chc_pl_add_menu() {
	
	//	
	//	Fügt die beiden Optionsseiten hinzu 
	//
	add_submenu_page('plugins.php', 'Category Content', 'Category Content', 9,  __FILE__ ,'chc_pl_option_page'); 
	add_submenu_page('plugins.php', 'Tag Content', 'Tag Content', 10,  "tag_header_content.php" ,'thc_pl_option_page');
}

function get_chc() {
	$id = (int)get_cat_ID(single_cat_title('', false));
	return get_option("chc_$id");
}

function get_thc() {
	
	$wp_query =& new WP_Query();
	$tag_id = intval( get_query_var('tag_id') );

	return get_option("thc_{$tag_id}");
}

// Registrieren der WordPress-Hooks
add_action('admin_menu', 'chc_pl_add_menu');
?>
